Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.jni
Interface BIOCallback

    public interface BIOCallback

Open SSL BIO Callback Interface

Version:
  $Id: BIOCallback.java 939309 2010-04-29 13:54:26Z kkolinko $
Author:
  Mladen Turk

Method Summary
`String` | `gets(int len)` Read string up to the len or CLRLF
`int` | `puts(String data)` Puts string
`int` | `read(byte[] buf)` Read data
`int` | `write(byte[] buf)` Write data

Method Detail

### write

    int write(byte[] buf)

  Write data

  Parameters:
    `buf` - containing the bytes to write.
  Returns:
    Number of characters written.

### read

    int read(byte[] buf)

  Read data

  Parameters:
    `buf` - buffer to store the read bytes.
  Returns:
    number of bytes read.

### puts

    int puts(String data)

  Puts string

  Parameters:
    `data` - String to write
  Returns:
    Number of characters written

### gets

    String gets(int len)

  Read string up to the len or CLRLF

  Parameters:
    `len` - Maximum number of characters to read
  Returns:
    String with up to len bytes read

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.